Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2021040 - Review Request: spacebar - Messaging app for Plasma Mobile
Summary: Review Request: spacebar - Messaging app for Plasma Mobile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spacebar
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Onuralp Sezer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-08 08:20 UTC by Onuralp SEZER
Modified: 2022-10-07 15:55 UTC (History)
6 users (show)

Fixed In Version: spacebar-22.09-1.fc37 spacebar-22.09-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-03 00:20:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Onuralp SEZER 2021-11-08 08:20:10 UTC
Spec URL: https://pagure.io/plasma_mobile_spacebar_rpm/raw/main/f/spacebar.spec
SRPM URL: https://pagure.io/plasma_mobile_spacebar_rpm/raw/main/f/spacebar-21.08-1.fc35.src.rpm
Description: Messaging app for Plasma Mobile
Fedora Account System Username: thunderbirdtr

Pagure URL: https://pagure.io/plasma_mobile_spacebar_rpm/

This package require qofono-qt5 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=2020440)

Comment 1 Allan 2021-12-13 23:55:11 UTC
Onuralp, you should really update this to new gear 21.12 version before review, as the change from ofono to ModemManager would most likely require a new review again.

Comment 2 Onuralp Sezer 2021-12-14 07:35:12 UTC
(In reply to Allan from comment #1)
> Onuralp, you should really update this to new gear 21.12 version before
> review, as the change from ofono to ModemManager would most likely require a
> new review again.

I'll update it. thank you.

Comment 4 Onuralp SEZER 2022-02-10 10:25:33 UTC
(In reply to Allan from comment #1)
> Onuralp, you should really update this to new gear 21.12 version before
> review, as the change from ofono to ModemManager would most likely require a
> new review again.

Could you please do a review

Comment 5 Package Review 2022-03-13 00:45:15 UTC
This is an automatic action taken by review-stats script.

The ticket reviewer failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we reset the status and the assignee of this ticket.

Comment 6 Justin Zobel 2022-04-15 12:30:56 UTC
Revewing this.

Comment 7 Justin Zobel 2022-04-15 12:51:33 UTC
- Won't build: No matching package to install: 'cmake(QCoro)'

- Update to latest

Comment 8 Onuralp Sezer 2022-08-31 06:57:02 UTC
+ exit 0
Finish: rpmbuild spacebar-22.06-1.fc36.src.rpm
Finish: build phase for spacebar-22.06-1.fc36.src.rpm
INFO: Done(/XXX/spacebar/spacebar-22.06-1.fc36.src.rpm) Config(fedora-36-x86_64) 1 minutes 52 seconds


New version added.
I make sure It does compile and here is the links

Spec URL: https://pagure.io/plasma_mobile_spacebar_rpm/raw/main/f/spacebar.spec
SRPM URL: https://pagure.io/plasma_mobile_spacebar_rpm/raw/main/f/sspacebar-22.06-1.fc36.src.rpm

Thank you.

Comment 10 Troy Dawson 2022-09-01 20:45:09 UTC
On F37 and Rawhide build for this fail in %check with 

+ cd spacebar-22.06
+ appstreamcli validate --no-net /builddir/build/BUILDROOT/spacebar-22.06-1.fc38.x86_64/usr/share/metainfo/org.kde.spacebar.appdata.xml
E: org.kde.spacebar:~: desktop-app-launchable-missing
I: org.kde.spacebar:~: content-rating-missing
? Validation failed: errors: 1, infos: 1

But it builds correctly on F36.
F36 has appstream-0.15.2
F37 has appstream-0.15.4

Comment 11 Troy Dawson 2022-09-01 21:18:09 UTC
The following fixes the %check problem.

$ cat spacebar-22.06-add_launchable_component.patch 
diff --git a/org.kde.spacebar.appdata.xml b/org.kde.spacebar.appdata.xml
index 1f673a032604423fb3d3e9454ab6bf77b42cd61f..fceb16b5850d5994fb1966ebb99ff4c51a8dc0e3 100644
--- a/org.kde.spacebar.appdata.xml
+++ b/org.kde.spacebar.appdata.xml
@@ -189,4 +189,5 @@
       <url>https://www.plasma-mobile.org/2021/06/10/plasma-mobile-update-june/</url>
     </release>
   </releases>
+  <launchable type="desktop-id">org.kde.spacebar.desktop</launchable>
 </component>


$ diff -u spacebar.spec.orig spacebar.spec
--- spacebar.spec.orig  2022-09-01 14:14:42.959115871 -0700
+++ spacebar.spec       2022-09-01 14:15:42.586583511 -0700
@@ -6,7 +6,10 @@
 Summary:        Messaging app for Plasma Mobile
 Url:            https://invent.kde.org/plasma-mobile/spacebar
 Source:         https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz
- 
+
+# Fix appstream check - Upstream Commit
+#   https://invent.kde.org/plasma-mobile/spacebar/-/commit/86d89a5963adb1910093ebad684f07d97301586f
+Patch0: spacebar-22.06-add_launchable_component.patch
 
 BuildRequires:  gcc
 BuildRequires:  gcc-c++

Comment 12 Troy Dawson 2022-09-01 21:58:45 UTC
Note:  I used prebuild packages using the patch above.  But I feel the f36 pre-build binaries with the original unpatched spec would have had the same result.
I am approving this Package Review.  Just know that you will need to add the above patch, or something similar to get it to build on F37 and Rawhide.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Creative Commons CC0 1.0", "Unknown or
     generated", "GNU General Public License, Version 2", "GNU General
     Public License, Version 3", "*No copyright* GNU General Public
     License, Version 3", "*No copyright* GNU General Public License,
     Version 2", "*No copyright* BSD 2-Clause License", "*No copyright* GNU
     Library General Public License, Version 2.0". 47 files have unknown
     license. Detailed output of licensecheck in
     /home/quake/review/spacebar/review-spacebar/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (debuginfo)
-------------------
Cannot parse rpmlint output:



Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.2.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 3

spacebar-debuginfo.x86_64: W: unstripped-binary-or-object /usr/lib/debug/.dwz/spacebar-22.06-1.fc37.x86_64
spacebar-debuginfo.x86_64: W: unstripped-binary-or-object /usr/lib/debug/usr/bin/spacebar-22.06-1.fc37.x86_64.debug
spacebar-debuginfo.x86_64: W: unstripped-binary-or-object /usr/lib/debug/usr/libexec/spacebar-daemon-22.06-1.fc37.x86_64.debug
spacebar-debuginfo.x86_64: E: statically-linked-binary /usr/lib/debug/.dwz/spacebar-22.06-1.fc37.x86_64
spacebar.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/org.kde.spacebar.daemon.desktop
spacebar.x86_64: W: no-manual-page-for-binary spacebar
spacebar-debuginfo.x86_64: W: no-documentation
spacebar-debugsource.x86_64: W: no-documentation
spacebar-debuginfo.x86_64: E: missing-PT_GNU_STACK-section /usr/lib/debug/.dwz/spacebar-22.06-1.fc37.x86_64
spacebar-debuginfo.x86_64: E: ldd-failed /usr/lib/debug/usr/bin/spacebar-22.06-1.fc37.x86_64.debug /usr/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
ldd: warning: you do not have execution permission for `/usr/lib/debug/usr/bin/spacebar-22.06-1.fc37.x86_64.debug'

spacebar-debuginfo.x86_64: E: ldd-failed /usr/lib/debug/usr/libexec/spacebar-daemon-22.06-1.fc37.x86_64.debug /usr/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
ldd: warning: you do not have execution permission for `/usr/lib/debug/usr/libexec/spacebar-daemon-22.06-1.fc37.x86_64.debug'

spacebar-debuginfo.x86_64: W: hidden-file-or-dir /usr/lib/debug/.dwz
spacebar-debuginfo.x86_64: W: hidden-file-or-dir /usr/lib/debug/.dwz
spacebar-debugsource.x86_64: W: files-duplicate /usr/src/debug/spacebar-22.06-1.fc37.x86_64/redhat-linux-build/src/settingsmanager.cpp /usr/src/debug/spacebar-22.06-1.fc37.x86_64/redhat-linux-build/daemon/settingsmanager.cpp
spacebar-debugsource.x86_64: W: files-duplicate /usr/src/debug/spacebar-22.06-1.fc37.x86_64/redhat-linux-build/src/settingsmanager.h /usr/src/debug/spacebar-22.06-1.fc37.x86_64/redhat-linux-build/daemon/settingsmanager.h:/usr/src/debug/spacebar-22.06-1.fc37.x86_64/redhat-linux-build/lib/mms/settingsmanager.h
spacebar-debugsource.x86_64: W: files-duplicate /usr/src/debug/spacebar-22.06-1.fc37.x86_64/redhat-linux-build/src/settingsmanager.moc /usr/src/debug/spacebar-22.06-1.fc37.x86_64/redhat-linux-build/daemon/settingsmanager.moc
spacebar.x86_64: E: description-line-too-long Spacebar is a telepathy-qt based SMS application that primarily targets Plasma Mobile.
spacebar-debuginfo.x86_64: W: dangling-relative-symlink /usr/lib/debug/.build-id/4f/42ce76e4a30db672569bd7bf2892e14ba24999 ../../../.build-id/4f/42ce76e4a30db672569bd7bf2892e14ba24999
spacebar-debuginfo.x86_64: W: dangling-relative-symlink /usr/lib/debug/.build-id/76/59864380280e4f306030caa5216baa27dc2f21 ../../../.build-id/76/59864380280e4f306030caa5216baa27dc2f21
 3 packages and 0 specfiles checked; 5 errors, 14 warnings, 5 badness; has taken 4.3 s 



Source checksums
----------------
https://download.kde.org/stable/plasma-mobile/22.06/spacebar-22.06.tar.xz :
  CHECKSUM(SHA256) this package     : 794eb2770dff947f8b585e1f9a6d44b26a9a0d62e076ce914fcf35e4e07e894a
  CHECKSUM(SHA256) upstream package : 794eb2770dff947f8b585e1f9a6d44b26a9a0d62e076ce914fcf35e4e07e894a


Requires
--------
spacebar (rpmlib, GLIBC filtered):
    hicolor-icon-theme
    kf5-kirigami2
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5Contacts.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5KIOGui.so.5()(64bit)
    libKF5ModemManagerQt.so.6()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5People.so.5()(64bit)
    libKF5PeopleBackend.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5QuickControls2.so.5()(64bit)
    libQt5QuickControls2.so.5(Qt_5)(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libphonenumber.so.8()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.13)(64bit)
    libstdc++.so.6(CXXABI_1.3.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)
    telepathy-mission-control

spacebar-debuginfo (rpmlib, GLIBC filtered):

spacebar-debugsource (rpmlib, GLIBC filtered):



Provides
--------
spacebar:
    application()
    application(org.kde.spacebar.desktop)
    metainfo()
    metainfo(org.kde.spacebar.appdata.xml)
    mimehandler(x-scheme-handler/sms)
    spacebar
    spacebar(x86-64)

spacebar-debuginfo:
    debuginfo(build-id)
    spacebar-debuginfo
    spacebar-debuginfo(x86-64)

spacebar-debugsource:
    spacebar-debugsource
    spacebar-debugsource(x86-64)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -n spacebar -p
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Perl, R, Ocaml, Haskell, SugarActivity, Python, fonts, Java, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 13 Gwyn Ciesla 2022-09-21 13:18:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/spacebar

Comment 14 Fedora Update System 2022-09-26 08:21:38 UTC
FEDORA-2022-266bad40f1 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-266bad40f1

Comment 15 Fedora Update System 2022-09-26 08:33:40 UTC
FEDORA-2022-fb62917f45 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fb62917f45

Comment 16 Fedora Update System 2022-09-27 02:22:30 UTC
FEDORA-2022-266bad40f1 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-266bad40f1 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-266bad40f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-09-27 21:13:10 UTC
FEDORA-2022-fb62917f45 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-fb62917f45 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-fb62917f45

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-09-30 01:13:54 UTC
FEDORA-2022-ba7ea6b8a8 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ba7ea6b8a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ba7ea6b8a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2022-09-30 02:06:34 UTC
FEDORA-2022-6054582285 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-6054582285`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6054582285

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2022-10-03 00:20:07 UTC
FEDORA-2022-ba7ea6b8a8 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2022-10-07 15:55:05 UTC
FEDORA-2022-6054582285 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.